#include <bits/stdc++.h>
using namespace std;

int main(){
  ios_base::sync_with_stdio(false);
  cin.tie(nullptr);
  int n, l, h, c = 0;
  cin >> n >> l;
  for(int i = n; i > 0; i--){
    cin >> h;
    c++;
    if(h <= l){
      cout << c << "\n";
      return 0;
    }
  }
  cout << "-1\n";
  return 0;
}